package ru.dbotthepony.kstarbound.util

import com.google.gson.JsonArray

data class Color(val red: Float, val green: Float, val blue: Float, val alpha: Float = 1f) {
	constructor(input: JsonArray) : this(input[0].asFloat / 255f, input[1].asFloat / 255f, input[2].asFloat / 255f, if (input.size() >= 4) input[3].asFloat / 255f else 1f)

	companion object {
		val WHITE = Color(1f, 1f, 1f)
	}
}
